Package org.drinkless.tdlib

# Class TdApi.GetChatMessagePosition

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Count>
org.drinkless.tdlib.TdApi.GetChatMessagePosition

Enclosing class:
  `TdApi`

public static class TdApi.GetChatMessagePosition extends TdApi.Function<TdApi.Count>
Returns approximate 1-based position of a message among messages, which can be found by the specified filter in the chat and topic. Cannot be used in secret chats.

Returns `Count`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat in which to find message position.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.SearchMessagesFilter`
  `filter`
  Filter for message content; searchMessagesFilterEmpty, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, searchMessagesFilterUnreadPollVote, and searchMessagesFilterFailedToSend are unsupported in this function.
  `long`
  `messageId`
  Message identifier.
  `TdApi.MessageTopic`
  `topicId`
  Pass topic identifier to get position among messages only in specific topic; pass null to get position among all chat messages; message threads aren't supported.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatMessagePosition()`
  Default constructor for a function, which returns approximate 1-based position of a message among messages, which can be found by the specified filter in the chat and topic.
  `GetChatMessagePosition(long chatId, TdApi.MessageTopic topicId, TdApi.SearchMessagesFilter filter, long messageId)`
  Creates a function, which returns approximate 1-based position of a message among messages, which can be found by the specified filter in the chat and topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat in which to find message position.

  - ### topicId

    public TdApi.MessageTopic topicId
    Pass topic identifier to get position among messages only in specific topic; pass null to get position among all chat messages; message threads aren't supported.

  - ### filter

    public TdApi.SearchMessagesFilter filter
    Filter for message content; searchMessagesFilterEmpty, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, searchMessagesFilterUnreadPollVote, and searchMessagesFilterFailedToSend are unsupported in this function.

  - ### messageId

    public long messageId
    Message identifier.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatMessagePosition

    public GetChatMessagePosition()
    Default constructor for a function, which returns approximate 1-based position of a message among messages, which can be found by the specified filter in the chat and topic. Cannot be used in secret chats.

    Returns `Count`

  - ### GetChatMessagePosition

    public GetChatMessagePosition(long chatId, TdApi.MessageTopic topicId, TdApi.SearchMessagesFilter filter, long messageId)
    Creates a function, which returns approximate 1-based position of a message among messages, which can be found by the specified filter in the chat and topic. Cannot be used in secret chats.

    Returns `Count`

    Parameters:
      `chatId` - Identifier of the chat in which to find message position.
      `topicId` - Pass topic identifier to get position among messages only in specific topic; pass null to get position among all chat messages; message threads aren't supported.
      `filter` - Filter for message content; searchMessagesFilterEmpty, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, searchMessagesFilterUnreadPollVote, and searchMessagesFilterFailedToSend are unsupported in this function.
      `messageId` - Message identifier.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Count>`
    Returns:
      this.CONSTRUCTOR